# Who has the board open right now

> GET /boards/{boardId}/presence

Source: https://mockflow.com/developers/reference/collaboration/get-presence

**GET** `https://api.mockflow.com/v1/boards/{boardId}/presence`  
Scopes: `boards:read`

**curl**

```bash
curl https://api.mockflow.com/v1/boards/brd_3f9e2a/presence \
  -H "Authorization: Bearer $MOCKFLOW_API_KEY"
```

**JavaScript**

```javascript
const response = await fetch("https://api.mockflow.com/v1/boards/brd_3f9e2a/presence", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.MOCKFLOW_API_KEY}`
  }
});

const data = await response.json();
```

**Python**

```python
import os, requests

response = requests.get(
    "https://api.mockflow.com/v1/boards/brd_3f9e2a/presence",
    headers={"Authorization": f"Bearer {os.environ['MOCKFLOW_API_KEY']}"},
)

response.raise_for_status()
data = response.json()
```

**200**

```json
{
  "data": [
    {
      "email": "string",
      "name": "Q4 Launch Planning"
    }
  ],
  "count": 0,
  "at": "2026-10-01T09:30:00Z"
}
```

**429**

```json
{
  "error": {
    "code": "rate_limited",
    "message": "Too many requests.",
    "docsUrl": "https://mockflow.com/developers/concepts/errors#rate_limited"
  },
  "requestId": "req_45d49816999bac40"
}
```

### Authorization

- `Authorization` (string, required): `Bearer <key>`. The key needs `boards:read` scope. Create and manage keys in the [developer console](/developers/console/); what each scope unlocks is on the [scopes page](/developers/concepts/scopes).

### Path parameters

- `boardId` (string, required)

### Response

- `data` (object[]): - `email` (string)
  - `name` (string)
- `count` (integer)
- `at` (string)

### Errors

- 429 `rate_limited`: Too many requests.
